Subject: Re: Submodule object store

From: Martin Waitz <[email-masked]>
Date: Tue, 27 Mar 2007 01:36:03 +0200

On Mon, Mar 26, 2007 at 04:28:28PM -0700, Junio C Hamano wrote:
> Martin Waitz <[email-masked]> writes:
> 
> > To make purge and fsck work we have the hard requirement that it
> > must be possible to list all objects which belong to one submodule.
> 
> I understand you would want to separate the ref namespace, but I
> still do not see why you would want to have a separate object
> store, laid out in a funny way.  Unless you are thinking about
> using rsync to transfer object store, that is.

I want to be able to list all objects which are not reachable in the
object store, without traversing all submodules at the same time.
The only way I can think of to achieve this is to have one separate
object store per submodule and then do the traversal per submodule.

-- 
Martin Waitz